Skip to main content
`Ctrl`+`K`

# VecTaggerComputeIS

Use a `VecTagger` context to tag a set of indices based on a vector’s values

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecTaggerComputeIS(VecTagger tagger, Vec vec, IS is[], PetscBool *listed)

Collective

## Input Parameters

- tagger - the `VecTagger` context

- vec - the vec to tag

## Output Parameters

- is - a list of the indices tagged by the tagger, i.e., if the number of local indices will be n / bs, where n is `VecGetLocalSize()` and bs is `VecTaggerGetBlockSize()`.

- listed - routine was able to compute the `IS`, pass in `NULL` if not needed

## See Also

`VecTaggerComputeBoxes()`, `VecTagger`, `VecTaggerCreate()`

## Level

advanced

## Location

src/vec/vec/utils/tagger/interface/tagger.c

## Examples

src/snes/tutorials/ex27.c
src/ts/tutorials/ex30.c
src/ts/tutorials/ex11.c
src/vec/vec/utils/tagger/tutorials/ex1.c

## Implementations

VecTaggerComputeIS_And() in src/vec/vec/utils/tagger/impls/and.c
VecTaggerComputeIS_Or() in src/vec/vec/utils/tagger/impls/or.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages